For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox Answers

Lists all response snippets

get

Required Permission: chatbots.inbox.answers.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

List of all response snippets.

application/json
errorstringOptional

Optional error message.

get/v1/inbox/{chatbotId}/answers
GET /v1/inbox/{chatbotId}/answers HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "answers": [
    {
      "id": "mUfMNyuVSPSVgNVPdhLm",
      "created": "2025-10-06T12:00:00Z",
      "updated": "2025-10-06T12:05:00Z",
      "name": "Salutation",
      "message": "Best regards, your support team"
    }
  ],
  "error": "text"
}

Creates a new response snippet

post

Required Permission: chatbots.inbox.answers.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
namestringRequired

The name/title of the text snippet.

Example: Opening hours
messagestringRequired

The content of the text snippet.

Example: We are open Monday to Friday from 9 AM to 5 PM.
Responses
201

Response snippet created successfully.

application/json
errorstringOptional

Optional error message.

post/v1/inbox/{chatbotId}/answers
POST /v1/inbox/{chatbotId}/answers HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "name": "Opening hours",
  "message": "We are open Monday to Friday from 9 AM to 5 PM."
}
{
  "answer": {
    "id": "mUfMNyuVSPSVgNVPdhLm",
    "created": "2025-10-06T12:00:00Z",
    "updated": "2025-10-06T12:05:00Z",
    "name": "Salutation",
    "message": "Best regards, your support team"
  },
  "error": "text"
}

Updates an existing response snippet

put

Required Permission: chatbots.inbox.answers.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

answerIdstringRequired

The ID of the response snippet to update.

Body
namestringRequired

The new name of the text snippet.

Example: New opening hours
messagestringRequired

The new content of the text snippet.

Example: Our new opening hours are from 8 AM to 6 PM.
Responses
200

Response snippet updated successfully.

application/json
errorstringOptional

Optional error message.

put/v1/inbox/{chatbotId}/answers/{answerId}
PUT /v1/inbox/{chatbotId}/answers/{answerId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 85

{
  "name": "New opening hours",
  "message": "Our new opening hours are from 8 AM to 6 PM."
}
{
  "answer": {
    "id": "mUfMNyuVSPSVgNVPdhLm",
    "created": "2025-10-06T12:00:00Z",
    "updated": "2025-10-06T12:05:00Z",
    "name": "Salutation",
    "message": "Best regards, your support team"
  },
  "error": "text"
}

Deletes a response snippet

delete

Required Permission: chatbots.inbox.answers.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

answerIdstringRequired

The ID of the response snippet to delete.

Responses
200

Response snippet deleted successfully.

application/json
errorstringOptional

Optional error message.

delete/v1/inbox/{chatbotId}/answers/{answerId}
DELETE /v1/inbox/{chatbotId}/answers/{answerId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "error": "text"
}

Last updated